Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.structure.segment
Class ERR

    java.lang.Object
      com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
          com.stc.connector.hl7.framework.structure.segment.GenericSegmentImpl
              com.stc.connector.hl7.framework.structure.segment.ERR

All Implemented Interfaces:
  Component, Segment

    public class ERR

extends GenericSegmentImpl
implements Segment

Represents an HL7 ERR message segment. This segment has the following fields:

ERR-1: Error Code and Location (CM_ELD)
ERR-2: Error Location (ERL) (Available since Version 2.5)
ERR-3: HL7 Error Code (CWE) (Available since Version 2.5)
ERR-4: Severity (ID) (Available since Version 2.5)
ERR-5: Application Error Code (CWE) (Available since Version 2.5)
ERR-6: Application Error Parameter (ST) (Available since Version 2.5)
ERR-7: Diagnostic Information (TX) (Available since Version 2.5)
ERR-8: User Message (TX) (Available since Version 2.5)
ERR-9: Inform Person Indicator (IS) (Available since Version 2.5)
ERR-10: Override Type (CWE) (Available since Version 2.5)
ERR-11: Override Reason Code (CWE) (Available since Version 2.5)
ERR-12: Help Desk Contact Point (XTN) (Available since Version 2.5)

Version:
  cvs revision: $Revision: 1.6 $ Last Modified: $Date: 2005/09/03 06:28:37 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`ERR(Message message, Field[] fields)` Constructor for ERR.
`ERR(Message message, java.lang.String content)` Constructor for ERR.

Method Summary
`Field` | `getSeq00SegmentName()` Method getSeq00SegmentName.
`Field` | `getSeq01ErrorCodeandLocation()` Method getSeq01ErrorCodeandLocation.
`Field` | `getSeq02ErrorLocation()` Method getSeq02ErrorLocation.
`Field` | `getSeq03HL7ErrorCode()` Method getSeq03HL7ErrorCode.
`Field` | `getSeq04Severity()` Method getSeq04Severity.
`Field` | `getSeq05ApplicationErrorCode()` Method getSeq05ApplicationErrorCode.
`Field` | `getSeq06ApplicationErrorParameter()` Method getSeq06ApplicationErrorParameter.
`Field` | `getSeq07DiagnosticInformation()` Method getSeq07DiagnosticInformation.
`Field` | `getSeq08UserMessage()` Method getSeq08UserMessage.
`Field` | `getSeq09InformPersonIndicator()` Method getSeq09InformPersonIndicator.
`Field` | `getSeq10OverrideType()` Method getSeq10OverrideType.
`Field` | `getSeq11OverrideReasonCode()` Method getSeq11OverrideReasonCode.
`Field` | `getSeq12HelpDeskContactPoint()` Method getSeq12HelpDeskContactPoint.
`void` | `marshal()` Method marshal.
`void` | `unmarshal()` Method unmarshal.
`void` | `validate(ComponentSpec componentSpec)` Method validate.

Methods inherited from class com.stc.connector.hl7.framework.structure.segment.GenericSegmentImpl
`getFields, setFields, toXMLString`

Methods inherited from class com.stc.connector.hl7.framework.structure.component.GenericComponentImpl
`getContent, getMessage, getName, getStatus, setContent, setMessage, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.hl7.framework.structure.segment.Segment
`getFields`

Methods inherited from interface com.stc.connector.hl7.framework.structure.component.Component
`getContent, getMessage, getName, setContent, setName, toXMLString`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### ERR

    public ERR(Message message,
               java.lang.String content)
        throws HL7ApplicationException

  Constructor for ERR.

  Parameters:
    `message` -
    `content` -
  Throws:
    `HL7ApplicationException`

### ERR

    public ERR(Message message,
               Field[] fields)
        throws HL7ApplicationException

  Constructor for ERR.

  Parameters:
    `message` -
    `fields` -
  Throws:
    `HL7ApplicationException`

Method Detail

### marshal

    public void marshal()
                 throws HL7ApplicationException

  Description copied from interface: `Component`
  Method marshal. Marshal the corresponding structure into content. Once the structure is modified, to refresh the content against the modified structure, this method should be called.

  Specified by:
    `marshal` in interface `Component`
  Overrides:
    `marshal` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.marshal()`

### unmarshal

    public void unmarshal()
                   throws HL7ApplicationException

  Description copied from interface: `Component`
  Method unmarshal. Un-Marshal the content into corresponding structure. Once the content is modified, to refresh the corresponding structure against the modified content, this method should be called.

  Specified by:
    `unmarshal` in interface `Component`
  Overrides:
    `unmarshal` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.unmarshal()`

### getSeq00SegmentName

    public Field getSeq00SegmentName()

  Method getSeq00SegmentName.

  Returns:
    Field

### getSeq01ErrorCodeandLocation

    public Field getSeq01ErrorCodeandLocation()

  Method getSeq01ErrorCodeandLocation.

  Returns:
    Field

### getSeq02ErrorLocation

    public Field getSeq02ErrorLocation()

  Method getSeq02ErrorLocation.

  Returns:
    Field

### getSeq03HL7ErrorCode

    public Field getSeq03HL7ErrorCode()

  Method getSeq03HL7ErrorCode.

  Returns:
    Field

### getSeq04Severity

    public Field getSeq04Severity()

  Method getSeq04Severity.

  Returns:
    Field

### getSeq05ApplicationErrorCode

    public Field getSeq05ApplicationErrorCode()

  Method getSeq05ApplicationErrorCode.

  Returns:
    Field

### getSeq06ApplicationErrorParameter

    public Field getSeq06ApplicationErrorParameter()

  Method getSeq06ApplicationErrorParameter.

  Returns:
    Field

### getSeq07DiagnosticInformation

    public Field getSeq07DiagnosticInformation()

  Method getSeq07DiagnosticInformation.

  Returns:
    Field

### getSeq08UserMessage

    public Field getSeq08UserMessage()

  Method getSeq08UserMessage.

  Returns:
    Field

### getSeq09InformPersonIndicator

    public Field getSeq09InformPersonIndicator()

  Method getSeq09InformPersonIndicator.

  Returns:
    Field

### getSeq10OverrideType

    public Field getSeq10OverrideType()

  Method getSeq10OverrideType.

  Returns:
    Field

### getSeq11OverrideReasonCode

    public Field getSeq11OverrideReasonCode()

  Method getSeq11OverrideReasonCode.

  Returns:
    Field

### getSeq12HelpDeskContactPoint

    public Field getSeq12HelpDeskContactPoint()

  Method getSeq12HelpDeskContactPoint.

  Returns:
    Field

### validate

    public void validate(ComponentSpec componentSpec)
                  throws HL7ApplicationException

  Description copied from interface: `Component`
  Method validate. This method is supposed to be called after "new xxxStructureImpl()", that is, "new GenericComponentImpl(...)", "new GenericDataTypeImpl(...)", "new GenericFieldImpl(...)", "new GenericSegmentImpl(...)", "new GenericMessageImpl(...)", "new MSH(...)", "new MSA(...)", "new ERR(...)", "new ACK(...)".

  Specified by:
    `validate` in interface `Component`
  Overrides:
    `validate` in class `GenericSegmentImpl`
  Throws:
    `HL7ApplicationException`
  See Also:
    `Component.validate(ComponentSpec)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD